/*------begin 03月31号 郭恩洲 新创建表 sys_mobile_banner*/
DROP TABLE IF EXISTS sys_mobile_banner;
CREATE TABLE sys_mobile_banner(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    tenant_id INT(11) NOT NULL   COMMENT '租户ID' ,
    open_not INT(1)    COMMENT '是否开启banner;0、关闭 1、开启' ,
    carousel_time INT(5)    COMMENT '轮播时间(s)' ,
    banner_path1 VARCHAR(100)    COMMENT '轮播图路径1' ,
    banner_path2 VARCHAR(100)    COMMENT '轮播图路径2' ,
    banner_path3 VARCHAR(100)    COMMENT '轮播图路径3' ,
    banner_path4 VARCHAR(100)    COMMENT '轮播图路径4' ,
    banner_path5 VARCHAR(100)    COMMENT '轮播图路径5' ,
    link_type1 INT(1)    COMMENT '链接类型1;1、内链 2、外链' ,
    link_type2 INT(1)    COMMENT '链接类型2;1、内链 2、外链' ,
    link_type3 INT(1)    COMMENT '链接类型3;1、内链 2、外链' ,
    link_type4 INT(1)    COMMENT '链接类型4;1、内链 2、外链' ,
    link_type5 INT(1)    COMMENT '链接类型5;1、内链 2、外链' ,
    link_url1 VARCHAR(255)    COMMENT '链接地址1' ,
    link_url3 VARCHAR(255)    COMMENT '链接地址3' ,
    link_url4 VARCHAR(255)    COMMENT '链接地址4' ,
    link_url5 VARCHAR(255)    COMMENT '链接地址4' ,
    link_url2 VARCHAR(255)    COMMENT '链接地址2' ,
    create_by VARCHAR(64)    COMMENT '创建者' ,
    create_time DATETIME    COMMENT '创建时间' ,
    update_by VARCHAR(64)    COMMENT '更新者' ,
    update_time DATETIME    COMMENT '更新时间' ,
    PRIMARY KEY (id)
)  COMMENT = '移动端_banner图配置表';
/*------end 03月31号 郭恩洲 新创建表 sys_mobile_banner*/

/*------begin 05月07号 韩正义 新创建表 mce_content、mce_receive、mce_setting*/
DROP TABLE IF EXISTS mce_content;
CREATE TABLE `mce_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `info_title` varchar(200) DEFAULT NULL COMMENT '消息标题',
  `info_content` varchar(255) DEFAULT NULL COMMENT '消息内容',
  `info_type` varchar(100) DEFAULT NULL COMMENT '消息类型',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息内容表';

CREATE TABLE `mce_receive` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `receiver_id` int(11) DEFAULT NULL COMMENT '接收人ID',
  `receiver_name` varchar(30) DEFAULT NULL COMMENT '接收人',
  `info_type` varchar(100) DEFAULT NULL COMMENT '消息类型',
  `read_flag` int(1) DEFAULT NULL COMMENT '是否已读;0、未读，1、已读',
  `content_id` int(11) DEFAULT NULL COMMENT '消息内容ID',
  `module_id` int(11) DEFAULT NULL COMMENT '子模块记录ID',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息接收表';

CREATE TABLE `mce_setting` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `app_mode` varchar(500) DEFAULT NULL COMMENT 'APP通知方式',
  `pc_mode` varchar(500) DEFAULT NULL COMMENT 'PC端通知方式',
  `wc_mode` varchar(500) DEFAULT NULL COMMENT '微信端通知方式',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息设置表';
/*------end 05月07号 韩正义 新创建表 mce_content、mce_receive、mce_setting*/

/*------begin 05月29号 韩正义 新创建表 base_app_info*/
CREATE TABLE `base_app_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `device_id` varchar(50) DEFAULT NULL COMMENT '设备ID',
  `user_name` varchar(30) DEFAULT NULL COMMENT '用户账号',
  `device_model` varchar(50) DEFAULT NULL COMMENT '设备型号',
  `access_ip` varchar(50) DEFAULT NULL COMMENT '访问IP',
  `network_type` varchar(20) DEFAULT NULL COMMENT '网络类型',
  `network_service` text COMMENT '网络服务商',
  `operate_system` varchar(30) DEFAULT NULL COMMENT '操作系统',
  `longitude` varchar(30) DEFAULT NULL COMMENT '经度',
  `latitude` varchar(30) DEFAULT NULL COMMENT '纬度',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='APP用户心跳信息';
/*------end 05月29号 韩正义 新创建表 base_app_info*/

/*------begin 06月04号 韩正义 新创建表 pm_project、pm_work_report、pm_work_content*/
CREATE TABLE `pm_project`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '项目表主键ID',
  `project_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目名称',
  `start_time` datetime NULL DEFAULT NULL COMMENT '项目开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '项目结束时间',
  `project_describe` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目描述',
  `project_type` int(1) NULL DEFAULT 0 COMMENT '项目类型(1：人力外包，2：项目研发，3：采购项目，4：过标项目，5：集成项目，6：其他)',
  `project_status` int(1) NULL DEFAULT 0 COMMENT '项目状态(1：未开始；2；进行中；3：已完成；4：已暂停；5：已作废)',
  `project_head` bigint(20) NULL DEFAULT NULL COMMENT '负责人',
  `project_member` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目成员',
  `project_workload` decimal(6, 2) NULL DEFAULT NULL COMMENT '项目工作量(计划人/天)',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `tenant_id` int(11) NULL DEFAULT NULL COMMENT '租户ID',
  `del_flag` int(1) NULL DEFAULT 0 COMMENT '删除标识（默认0，已删除1）',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `project_head`(`project_head`) USING BTREE,
  CONSTRAINT `pm_project_ibfk_1` FOREIGN KEY (`project_head`) REFERENCES `sys_user` (`user_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '项目表' ROW_FORMAT = Dynamic;

CREATE TABLE `pm_work_report`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '工作报告表主键ID',
  `submitter_id` bigint(20) NULL DEFAULT NULL COMMENT '提交人ID',
  `report_date` date NULL DEFAULT NULL COMMENT '报告时间',
  `submit_date` datetime NULL DEFAULT NULL COMMENT '提交时间',
  `total_hours` decimal(10, 2) NULL DEFAULT NULL COMMENT '总工时',
  `cc_to` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '抄送人',
  `coordinate_work` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工作协调',
  `tomorrow_plan` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '明日计划',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `tenant_id` int(11) NULL DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `submitter_id`(`submitter_id`) USING BTREE,
  CONSTRAINT `pm_work_report_ibfk_1` FOREIGN KEY (`submitter_id`) REFERENCES `sys_user` (`user_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '工作报告表' ROW_FORMAT = Dynamic;

CREATE TABLE `pm_work_content`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '工作内容表主键ID',
  `report_id` int(11) NULL DEFAULT NULL COMMENT '工作报告表主键ID',
  `project_id` int(11) NULL DEFAULT NULL COMMENT '项目ID',
  `project_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目名称',
  `submitter_id` bigint(20) NULL DEFAULT NULL COMMENT '提交人ID',
  `work_content` varchar(520) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工作内容',
  `work_time` decimal(4, 2) NULL DEFAULT NULL COMMENT '工时',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `tenant_id` int(11) NULL DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `submitter_id`(`submitter_id`) USING BTREE,
  INDEX `report_id`(`report_id`) USING BTREE,
  INDEX `pm_work_content_ibfk_3`(`project_id`) USING BTREE,
  CONSTRAINT `pm_work_content_ibfk_1` FOREIGN KEY (`submitter_id`) REFERENCES `sys_user` (`user_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `pm_work_content_ibfk_2` FOREIGN KEY (`report_id`) REFERENCES `pm_work_report` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `pm_work_content_ibfk_3` FOREIGN KEY (`project_id`) REFERENCES `pm_project` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '工作内容表' ROW_FORMAT = Dynamic;
/*------end 06月04号 韩正义 新创建表 pm_project、pm_work_report、pm_work_content*/

/*------begin 06月14号 韩正义 新创建表 dmp_device_linkage*/
CREATE TABLE `dmp_device_linkage` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `device_id` varchar(50) NOT NULL COMMENT '设备ID;设备注册时系统自动生成一个唯一编号',
  `device_type` int(12) NOT NULL DEFAULT '0' COMMENT '设备类型（501、监控系统  502、门禁系统  503、梯控系统  504、机房系统  509、环境系统  510、照明系统）',
  `linkage_address` varchar(200) DEFAULT NULL COMMENT '联动地址',
  `group_id` int(12) DEFAULT NULL COMMENT '分组id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
/*------end 06月14号 韩正义 新创建表 dmp_device_linkage*/

/*------begin 06月24号 韩正义 心跳表增加字段*/
ALTER TABLE `base_app_info` ADD COLUMN `device_status` INT(2) DEFAULT '0' COMMENT '设备状态（0 正常，1 故障）';
ALTER TABLE `base_app_info` ADD COLUMN `check_status` INT(2) DEFAULT '0' COMMENT '自检状态（0 未自检，1 自检）';
/*------end 06月24号 韩正义 心跳表增加字段*/

/*------begin 07月04号 韩正义 消息接收表增加字段*/
ALTER TABLE `mce_receive` ADD COLUMN `issuer_name` varchar(50) DEFAULT NULL COMMENT '发布人';
/*------end 07月04号 韩正义 消息接收表增加字段*/

/*------begin 07月09号 韩正义 工作报告表增加索引*/
ALTER TABLE pm_work_report ADD UNIQUE KEY user_report (submitter_id, report_date);
/*------end 07月09号 韩正义 工作报告表增加索引*/

/*------begin 07月11号 韩正义 创建报告接收表*/
DROP TABLE IF EXISTS pm_receive;
CREATE TABLE `pm_receive` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `receiver_id` bigint(20) DEFAULT NULL COMMENT '接收人ID',
  `receiver_name` varchar(30) DEFAULT NULL COMMENT '接收人',
  `report_id` int(11) DEFAULT NULL COMMENT '报告id',
  `read_flag` int(1) DEFAULT '0' COMMENT '是否已读;0、未读，1、已读',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `pm_receive_ibfk_1` (`receiver_id`),
  KEY `pm_receive_ibfk_2` (`report_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='报告接收表';
/*------end 07月11号 韩正义 创建报告接收表*/

/*------begin 08月20号 韩正义 租户配置表增加字段*/
ALTER TABLE `sys_tenant_config` ADD COLUMN `middle_type` INT(1) DEFAULT '1' COMMENT '中间页显示类型：0 应用列表 1 菜单列表';
/*------end 08月20号 韩正义 租户配置表增加字段middle_type*/

/*------begin 08月01号 付宇川 工作报告表表增加字段*/
ALTER TABLE `pm_work_report`
ADD COLUMN `timing_time` datetime DEFAULT NULL COMMENT '定时时间';

ALTER TABLE `pm_work_report`
ADD COLUMN `report_status` tinyint(1) DEFAULT 1 COMMENT '报告状态（默认1; 0：保存状态；1：发送状态）';

ALTER TABLE `pm_work_report`
ADD COLUMN `is_regularly_send` tinyint(1) DEFAULT 0 COMMENT '是否定时（默认0; 0：否，1：是）';
/*------end 08月01号 付宇川 工作报告表表增加字段*/

/*------begin 08月07号 詹叶俊 帮助中心建议反馈表*/
DROP TABLE IF EXISTS hce_review;
CREATE TABLE `hce_review` (
  `id` INT(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `user_name` VARCHAR(30) NOT NULL COMMENT '用户账号',
  `nick_name` VARCHAR(30) NOT NULL COMMENT '用户昵称',
  `review_type` INT(2) NOT NULL COMMENT '反馈问题类型',
  `review_content` VARCHAR(1000) NOT NULL COMMENT '反馈问题内容',
  `review_picture` VARCHAR(500) DEFAULT NULL COMMENT '反馈图片',
  `status` INT(2) NOT NULL COMMENT '状态',
  `create_time` DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `handle_by` VARCHAR(32) DEFAULT NULL COMMENT '处理人',
  `handle_time` DATETIME DEFAULT NULL COMMENT '处理时间',
  `dept_id` INT(20) DEFAULT NULL COMMENT '组织结构ID',
  `tenant_id` INT(12) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=INNODB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='帮助中心建议反馈表';
/*------end 08月07号 詹叶俊 帮助中心建议反馈表*/

/*------begin 08月08号 詹叶俊 帮助中心建议反馈表新增处理内容字段*/
ALTER TABLE `hce_review` ADD COLUMN `handle_content` VARCHAR(200) DEFAULT NULL COMMENT '处理内容';
/*------end 08月08号 詹叶俊 帮助中心建议反馈表新增处理内容字段*/

/*------begin 08月19号 詹叶俊 帮助中心建议反馈表修改字段属性和新增评分相关字段*/
ALTER TABLE `hce_review` ADD COLUMN `hce_code` VARCHAR(30) NOT NULL COMMENT '反馈单编码';
ALTER TABLE `hce_review` CHANGE user_name review_name VARCHAR(30) NOT NULL COMMENT '反馈人';
ALTER TABLE `hce_review` DROP nick_name;
ALTER TABLE `hce_review` ADD COLUMN `email` VARCHAR(50) DEFAULT '' COMMENT '用户邮箱';
ALTER TABLE `hce_review` ADD COLUMN `phonenumber` VARCHAR(11) DEFAULT '' COMMENT '手机号码';
ALTER TABLE `hce_review` MODIFY `review_type` INT(2) NOT NULL COMMENT '反馈类型';
ALTER TABLE `hce_review` MODIFY `review_content` VARCHAR(1000) NOT NULL COMMENT '反馈描述';
ALTER TABLE `hce_review` MODIFY `handle_by` VARCHAR(32) DEFAULT NULL COMMENT '处理人';
ALTER TABLE `hce_review` ADD COLUMN `score` FLOAT DEFAULT NULL COMMENT '评分';
ALTER TABLE `hce_review` ADD COLUMN `appraise_content` VARCHAR(1000) DEFAULT NULL COMMENT '评价内容';
ALTER TABLE `hce_review` ADD COLUMN `create_by` VARCHAR(25) DEFAULT NULL COMMENT '创建人';
ALTER TABLE `hce_review` ADD COLUMN `update_by` VARCHAR(25) DEFAULT NULL COMMENT '更新人';
ALTER TABLE `hce_review` ADD COLUMN `update_time` DATETIME DEFAULT NULL COMMENT '更新时间';
/*------end 08月19号 詹叶俊 帮助中心建议反馈表修改字段属性和新增评分相关字段*/

/*------begin 08月19号 韩正义 新增租户和应用关联表*/
CREATE TABLE `sys_tenant_platform` (
  `tenant_id` int(11) NOT NULL DEFAULT '0' COMMENT '租户ID',
  `platform_id` int(11) NOT NULL DEFAULT '0' COMMENT '应用ID',
  `is_default` tinyint(1) DEFAULT '0' COMMENT '是否为默认应用（默认0; 0：否，1：是）',
  PRIMARY KEY (`tenant_id`,`platform_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='租户和应用关联表';
/*------end 08月19号 韩正义 新增租户和应用关联表*/

/*------begin 08月20号 韩正义 平台信息表新增应用图标字段*/
ALTER TABLE `sys_platform` ADD COLUMN `icon` VARCHAR(100) DEFAULT NULL COMMENT '应用图标';
/*------end 08月20号 韩正义 平台信息表新增应用图标字段*/

/*------begin 08月20号 韩正义 租户配置表增加字段*/
ALTER TABLE `sys_tenant_config` ADD COLUMN `middle_type` INT(1) DEFAULT '1' COMMENT '中间页显示类型：0 应用列表 1 菜单列表';
/*------end 08月20号 韩正义 租户配置表增加字段middle_type*/

/*------begin 08月29号 赵金雨 系统访问记录表增加字段*/
ALTER TABLE `sys_logininfor` ADD COLUMN `login_location` VARCHAR(255) DEFAULT NULL COMMENT '登录地点';
ALTER TABLE `sys_logininfor` ADD COLUMN `browser` VARCHAR(50) DEFAULT NULL COMMENT '浏览器类型';
ALTER TABLE `sys_logininfor` ADD COLUMN `os` VARCHAR(50) DEFAULT NULL COMMENT '操作系统';
/*------end 08月29号 赵金雨 系统访问记录表增加字段登录地点,浏览器类型,操作系统*/

/*------begin 09月5号 赵金雨 操作日志表增加字段*/
ALTER TABLE `sys_oper_log` ADD COLUMN `start_time` DATETIME DEFAULT NULL COMMENT '执行开始时间';
ALTER TABLE `sys_oper_log` ADD COLUMN `end_time` DATETIME DEFAULT NULL COMMENT '执行结束时间';
ALTER TABLE `sys_oper_log` ADD COLUMN `consuming_time` BIGINT(20) DEFAULT NULL COMMENT '执行耗时';
ALTER TABLE `sys_oper_log` ADD COLUMN `consuming_time_with_unit` VARCHAR(255) DEFAULT NULL COMMENT '执行耗时毫秒';
/*------end 09月5号 赵金雨 操作日志表增加字段执行开始时间,执行结束时间,执行耗时毫秒*/

/*------begin 09月11号 付宇川 项目信息表修改字段*/
ALTER TABLE `pm_project` MODIFY COLUMN `project_describe` varchar(512) DEFAULT NULL COMMENT '项目描述';
/*------end 09月11号 付宇川 项目信息表修改字段*/

/*------begin 09月19号 付宇川 项目信息表、报告表新增和修改字段*/
ALTER TABLE `pm_project` ADD COLUMN `visible_range` tinyint(1) DEFAULT 1 COMMENT '项目可见范围(1：公开；2：私有，指定人（创建人、负责人、项目成员）可见)';
ALTER TABLE `pm_project` MODIFY COLUMN `project_workload` decimal(6,1) DEFAULT NULL COMMENT '项目工作量(计划人/天)';
ALTER TABLE `pm_work_report` ADD COLUMN `report_file` varchar(500) DEFAULT NULL COMMENT '报告附件（以逗号隔开）';
ALTER TABLE `pm_work_report` ADD COLUMN `report_image` varchar(500) DEFAULT NULL COMMENT '报告图片（以逗号隔开）';
ALTER TABLE `pm_work_report` MODIFY COLUMN `total_hours` decimal(3,1) DEFAULT NULL COMMENT '总工时';
ALTER TABLE `pm_work_content` MODIFY COLUMN `work_time` decimal(3,1) DEFAULT NULL COMMENT '工时';
/*------end 09月19号 付宇川 项目信息表、报告表新增和修改字段*/

/*------begin 09月09号 詹叶俊 在设备信息表中新增联合唯一索引（product_id,device_id）和单字段device_uuid唯一索引*/
UPDATE dmp_device SET device_uuid = REPLACE(UUID(),'-','')  WHERE device_uuid = '';
alter table dmp_device add unique (device_uuid);
alter table dmp_device add unique key `pro_dev` (`product_id`,`device_id`);
/*------end 09月09号 詹叶俊 在设备信息表中新增联合唯一索引（product_id,device_id）和单字段device_uuid唯一索引*/

/*------begin 09月26号 詹叶俊 创建下发命令历史记录表*/
DROP TABLE IF EXISTS dmp_device_command;
CREATE TABLE `dmp_device_command` (
  `id` INT(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `product_code` VARCHAR(50) NOT NULL COMMENT '产品编码',
  `device_id` VARCHAR(30) NOT NULL COMMENT '设备编码',
  `command_content` VARCHAR(500) NOT NULL COMMENT '下发命令内容',
  `command_response` VARCHAR(500) DEFAULT NULL COMMENT '下发命令响应内容',
  `command_status` INT(2) DEFAULT 0 COMMENT '命令状态;0 命令执行中，1 命令成功，2 命令失败',
  `created_by` VARCHAR(32) DEFAULT NULL COMMENT '创建人',
  `created_time` DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_by` VARCHAR(32) DEFAULT NULL COMMENT '更新人',
  `updated_time` DATETIME DEFAULT NULL COMMENT '更新时间',
  `dept_id` INT(20) DEFAULT NULL COMMENT '组织结构ID',
  `tenant_id` INT(12) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=INNODB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='创建下发命令历史记录表';
/*------end 09月26号 詹叶俊 创建下发命令历史记录表*/

/*------begin 10月12号 詹叶俊 设备信息表增加经度、维度字段*/
alter table `dmp_device` add column `longitude` VARCHAR(50) DEFAULT NULL COMMENT '经度';
alter table `dmp_device` add column `latitude` VARCHAR(50) DEFAULT NULL COMMENT '纬度';
/*------end 10月12号 詹叶俊 设备信息表增加经度、维度字段*/

/*------begin 10月18号 韩正义 新增用户和租户关联表*/
DROP TABLE IF EXISTS `sys_user_tenant`;
CREATE TABLE `sys_user_tenant` (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `tenant_id` int(11) NOT NULL DEFAULT '0' COMMENT '租户ID',
  `is_default` tinyint(1) DEFAULT '0' COMMENT '是否为默认应用（默认0; 0：否，1：是）',
  PRIMARY KEY (`user_id`,`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*------end 10月18号 韩正义 新增用户和租户关联表*/

/*------begin 11月7号 詹叶俊 修改设备下发命令记录表中设备id字段的大小，以及新增操作人和操作人Id两个字段*/
alter table dmp_device_command modify column device_id varchar(50);
ALTER TABLE `dmp_device_command` ADD COLUMN `user_name` VARCHAR(100) DEFAULT NULL COMMENT '操作人';
ALTER TABLE `dmp_device_command` ADD COLUMN `user_id` BIGINT(20) DEFAULT NULL COMMENT '操作人Id';
/*------end 11月7号 詹叶俊 修改设备下发命令记录表中设备id字段的大小，以及新增操作人和操作人Id两个字段*/



/*------begin 11月7号 韩正义 新增视频中心相关表*/
DROP TABLE IF EXISTS `vc_device`;
CREATE TABLE `vc_device` (
  `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '视频中心主键ID',
  `video_number` VARCHAR(50) NOT NULL COMMENT '视频编号',
  `video_name` VARCHAR(100) NOT NULL COMMENT '视频名称',
  `video_stream` VARCHAR(50) DEFAULT NULL COMMENT '视频流',
  `camera_type` INT(2) DEFAULT NULL COMMENT '摄像机类型',
  `stream_id` INT(11) DEFAULT '0' COMMENT '流媒体ID',
  `group_id` INT(11) DEFAULT '0' COMMENT '设备分组ID',
  `create_by` VARCHAR(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` DATETIME DEFAULT NULL COMMENT '创建时间',
  `update_by` VARCHAR(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` DATETIME DEFAULT NULL COMMENT '更新时间',
  `dept_id` BIGINT(20) DEFAULT NULL COMMENT '部门ID',
  `tenant_id` INT(11) DEFAULT NULL COMMENT '租户ID',
  `del_flag` INT(1) DEFAULT '0' COMMENT '删除标识（默认0，已删除1）',
  PRIMARY KEY (`id`)
) ENGINE=INNODB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='视频配置信息表';

DROP TABLE IF EXISTS `vc_device_group`;
CREATE TABLE `vc_device_group` (
  `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '站点分组表主键ID',
  `group_name` VARCHAR(50) CHARACTER SET utf8 NOT NULL COMMENT '分组名称',
  `create_by` VARCHAR(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` DATETIME DEFAULT NULL COMMENT '创建时间',
  `update_by` VARCHAR(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` DATETIME DEFAULT NULL COMMENT '更新时间',
  `dept_id` BIGINT(20) DEFAULT NULL COMMENT '部门ID',
  `tenant_id` INT(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=INNODB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='视频配置分组表';

DROP TABLE IF EXISTS `vc_stream`;
CREATE TABLE `vc_stream` (
  `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '流媒体主键ID',
  `stream_name` VARCHAR(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '流媒体名称',
  `platform_address` VARCHAR(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '平台地址',
  `user_key` VARCHAR(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户KEY',
  `user_password` VARCHAR(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '用户密码',
  `platform_type` INT(1) DEFAULT NULL COMMENT '平台类型',
  `deploy_ambient` VARCHAR(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '部署环境',
  `create_by` VARCHAR(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` DATETIME DEFAULT NULL COMMENT '创建时间',
  `update_by` VARCHAR(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` DATETIME DEFAULT NULL COMMENT '更新时间',
  `dept_id` BIGINT(20) DEFAULT NULL COMMENT '部门ID',
  `tenant_id` INT(11) DEFAULT NULL COMMENT '租户ID',
  `del_flag` INT(1) DEFAULT '0' COMMENT '删除标识（默认0，已删除1）',
  PRIMARY KEY (`id`)
) ENGINE=INNODB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='视频流信息表';
/*------end  11月7号 韩正义 新增视频中心相关表*/

/*------begin 11月7号 詹叶俊 新增产品命令表*/
DROP TABLE IF EXISTS `dmp_product_command`;
CREATE TABLE `dmp_product_command` (
  `id` INT(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `product_code` VARCHAR(50) NOT NULL COMMENT '产品编码',
  `command_code` VARCHAR(50) NOT NULL COMMENT '命令编码',
  `command_name` VARCHAR(50) NOT NULL COMMENT '命令名称',
  `data_type` INT(2) NOT NULL COMMENT '数据类型（1、状态量 2、模拟量）',
  `command_unit` VARCHAR(50) DEFAULT NULL COMMENT '单位',
  `maximum` DECIMAL(24,6) DEFAULT NULL COMMENT '最大值',
  `minimum` DECIMAL(24,6) DEFAULT NULL COMMENT '最小值',
  `command_dict` VARCHAR(300) DEFAULT NULL COMMENT '命令字典',
  `command_describe` VARCHAR(300) DEFAULT NULL COMMENT '命令描述',
  `remark` VARCHAR(500) DEFAULT NULL COMMENT '备注',
  `delete_flag` INT(1) DEFAULT '0' COMMENT '删除标识;0：未删除，1：已删除',
  `created_by` VARCHAR(32) DEFAULT NULL COMMENT '创建人',
  `created_time` DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_by` VARCHAR(32) DEFAULT NULL COMMENT '更新人',
  `updated_time` DATETIME DEFAULT NULL COMMENT '更新时间',
  `tenant_id` INT(12) DEFAULT NULL COMMENT '租户号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=INNODB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='产品命令表';
/*------end 11月7号 詹叶俊 新增产品命令表*/

/*------begin 11月15号 詹叶俊 新增人脸卡号与设备关联表，以及人脸信息表和人脸日志表新增卡号和验证类型*/
ALTER TABLE `meeting_face` CHANGE update_extend2 card_num VARCHAR(30) DEFAULT NULL COMMENT '卡号';
ALTER TABLE `meeting_face` CHANGE update_extend3 bind_device VARCHAR(500) DEFAULT NULL COMMENT '绑定设备'; 
ALTER TABLE `meeting_face` ADD UNIQUE(`user_id`);
ALTER TABLE `meeting_face_vef_log` ADD COLUMN `face_base` LONGTEXT COLLATE utf8mb4_icelandic_ci COMMENT '人脸图片数据base_64编码';
ALTER TABLE `meeting_face_vef_log` ADD COLUMN `card_num` VARCHAR(30) COLLATE utf8mb4_icelandic_ci DEFAULT NULL COMMENT '卡号';
ALTER TABLE `meeting_face_vef_log` ADD COLUMN `vef_type` INT(1) DEFAULT NULL COMMENT '验证类型(1、人脸 2、卡号)';

CREATE TABLE `meeting_face_device` (
	`face_id` INT(11) NOT NULL COMMENT '人脸主键ID',
	`device_id` INT(12) NOT NULL COMMENT '设备主键ID',
	PRIMARY KEY (`face_id`,`device_id`)
)ENGINE=INNODB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8  COMMENT='人脸设备关联表';
/*------end 11月15号 詹叶俊 新增人脸卡号与设备关联表，以及人脸信息表和人脸日志表新增卡号和验证类型*/

/*------begin 11月19号 韩正义 视频设备表新加字段*/
alter table `vc_device` add column `order_num` int(4) DEFAULT '0' COMMENT '排序';
alter table `vc_device` add column `access` int(4) DEFAULT '0' COMMENT '获取方式';
alter table `vc_device` add column `video_desc` varchar(500) DEFAULT NULL COMMENT '视频描述';
alter table `vc_device` add column `video_ip` varchar(50) DEFAULT NULL COMMENT '摄像头IP';
alter table `vc_device` add column `video_port` int(10) DEFAULT '0' COMMENT '摄像头端口';
alter table `vc_device_group` add column `order_num` int(4) DEFAULT '0' COMMENT '排序';
alter table `vc_stream` add column `stream_desc` varchar(500) DEFAULT NULL COMMENT '流媒体描述';
alter table `vc_device` add column `account_number` varchar(50) DEFAULT NULL COMMENT '摄像头账号';
alter table `vc_device` add column `video_password` varchar(50) DEFAULT NULL COMMENT '摄像头密码';
/*------end 11月19号 韩正义 视频设备表新加字段*/

/*------begin 12月4号 詹叶俊 新增门禁_设备信息表、门禁_通行记录表和修改会议屏设备表-设备列表字段*/
ALTER TABLE `meeting_device` CHANGE device_id device_uuid BIGINT(20) NOT NULL COMMENT '设备uuid';
ALTER TABLE `meeting_device` ADD COLUMN `eg_device_id` INT(12) DEFAULT NULL COMMENT '门禁设备主键id';
ALTER TABLE `meeting_device` ADD COLUMN `install_address` VARCHAR(100) DEFAULT NULL COMMENT '安装位置';

CREATE TABLE `eg_device` (
  `id` INT(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `device_uuid` VARCHAR(50) NOT NULL COMMENT '设备uuid',
  `device_id` VARCHAR(50) NOT NULL COMMENT '设备ID',
  `device_name` VARCHAR(255) DEFAULT NULL COMMENT '设备名称',
  `install_address` VARCHAR(100) DEFAULT NULL COMMENT '安装位置',
  `service_status` INT(2) NOT NULL COMMENT '业务状态;1：未激活，2：已激活，3：禁用',
  `device_ip` VARCHAR(50) DEFAULT NULL COMMENT 'IP',
  `device_port` INT(10) DEFAULT '0' COMMENT '端口',
  `eg_number` VARCHAR(10)  DEFAULT NULL COMMENT '门禁号',
  `bind_face` VARCHAR(500) DEFAULT NULL COMMENT '绑定人脸信息'
  `create_by` VARCHAR(255) DEFAULT NULL COMMENT '创建者',
  `update_by` VARCHAR(255) DEFAULT NULL COMMENT '更新者',
  `create_time` DATETIME DEFAULT NULL COMMENT '创建日期',
  `update_time` DATETIME DEFAULT NULL COMMENT '更新时间',
  `dept_id` INT(12) DEFAULT NULL COMMENT '组织机构ID',
  `tenant_id` INT(12) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=INNODB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='门禁_设备信息表';

CREATE TABLE `eg_record` (
  `id` INT(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `user_name` VARCHAR(255) DEFAULT NULL COMMENT '用户姓名',
  `pass_time` DATETIME DEFAULT NULL COMMENT '通行时间',
  `eg_device_id` INT(12) DEFAULT NULL COMMENT '门禁设备主键id',
  `pass_type` INT(1) DEFAULT NULL COMMENT '通行方式(1、人脸 2、刷卡 3、手机)',
  `face_base` LONGTEXT  DEFAULT NULL COMMENT '人脸图片数据 base_64编码',
  `card_num` VARCHAR(30) DEFAULT NULL COMMENT '卡号',
  `pass_result` VARCHAR(200) DEFAULT NULL COMMENT '通行结果',
  `create_by` VARCHAR(255) DEFAULT NULL COMMENT '创建者',
  `update_by` VARCHAR(255) DEFAULT NULL COMMENT '更新者',
  `create_time` DATETIME DEFAULT NULL COMMENT '创建日期',
  `update_time` DATETIME DEFAULT NULL COMMENT '更新时间',
  `dept_id` INT(12) DEFAULT NULL COMMENT '组织机构ID',
  `tenant_id` INT(12) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=INNODB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='门禁_通行记录表';

ALTER TABLE `dmp_device_command` change device_id device_uuid  VARCHAR(50) NOT NULL COMMENT '设备uuid';
/*------end 12月4号 詹叶俊 新增门禁_设备信息表、门禁_通行记录表和修改会议屏设备表-设备列表字段*/

/*------begin 12月25号 付宇川 项目信息表修改 项目成员 字段修改*/
ALTER TABLE `pm_project` MODIFY COLUMN `project_member` varchar(512) DEFAULT NULL COMMENT '项目成员';
/*------end 12月25号 付宇川 项目信息表修改 项目成员 字段*/

/*------begin 1月24号 付宇川 oa审批表新增 申请人id 字段*/
ALTER TABLE `oa_approval` ADD COLUMN `proposer` INT(11) NOT NULL COMMENT '申请人id';
/*------end 1月24号 付宇川 oa审批表新增 申请人id 字段*/

/*------begin 1月25号 詹叶俊 优化门禁_设备信息表-列表接口，门禁设备类文件增加屏保图片、标识语和开门方式字段；开发门禁_设备信息表-附加功能更新接口，用于更新屏保图片、标识语和开门方式三个字段的值；	*/
ALTER TABLE `eg_device` ADD COLUMN `img_path` VARCHAR(255) DEFAULT NULL COMMENT '屏保';
ALTER TABLE `eg_device` ADD COLUMN `remark` VARCHAR(500) DEFAULT NULL COMMENT '标识语';
ALTER TABLE `eg_device` ADD COLUMN `open_mode` VARCHAR(100) DEFAULT NULL COMMENT '开门方式';
/*------end 1月25号 詹叶俊 优化门禁_设备信息表-列表接口，门禁设备类文件增加屏保图片、标识语和开门方式字段；开发门禁_设备信息表-附加功能更新接口，用于更新屏保图片、标识语和开门方式三个字段的值；	*/

/*------begin 2025年2月14号 詹叶俊 修改产品信息表中设备型号字段为非必填字段	*/
ALTER TABLE `dmp_product` MODIFY COLUMN `device_model` VARCHAR(50) DEFAULT NULL COMMENT '设备型号';
/*------end 2025年2月14号 詹叶俊 修改产品信息表中设备型号字段为非必填字段	*/

/*------begin 2025年2月21号 付宇川 新增报告管理时间配置表、OA流程表、OA节点表 */
CREATE TABLE `pm_time_conf` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '时间配置表主键ID',
  `conf_name` varchar(64) NOT NULL COMMENT '配置名称',
  `conf_type` varchar(52) NOT NULL COMMENT '配置类型(PM:工作报告)',
  `start_time` time NOT NULL COMMENT '开始时间',
  `on_time` time NOT NULL COMMENT '正常时间',
  `end_time` time NOT NULL COMMENT '结束时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='pm_时间配置表';

CREATE TABLE `oa_flow` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '流程表主键ID',
  `flow_name` varchar(64) NOT NULL COMMENT '流程名称',
  `doc_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表单标识',
  `description` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '流程说明',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  `tenant_id` int(11) NOT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='oa_审批流程表';

	CREATE TABLE `oa_node` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '节点表主键ID',
  `flow_id` int(11) DEFAULT NULL COMMENT '流程ID',
  `node_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
  `node_no` varchar(255) NOT NULL COMMENT '节点编号',
  `parent_id` int(11) DEFAULT NULL COMMENT '上级节点',
  `node_type` int(1) NOT NULL COMMENT '节点类型 （1：审批节点 2：抄送节点）',
  `node_scope` int(1) NOT NULL COMMENT '节点审批权限范围（0：指定成员，1：部门主管，2：发起人自选，3：指定部门，4：指定职位）',
  `proposer` varchar(520) DEFAULT NULL COMMENT '审批人id',
  `dept_id` int(11) DEFAULT NULL COMMENT '审批部门id',
  `job_id` int(11) DEFAULT NULL COMMENT '职位id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='oa_流程节点表';
/*------end 2025年2月21号 付宇川 新增报告管理时间配置表、OA流程表、OA节点表 */

/*------begin 2025年2月24号 詹叶俊 设备状态表添加device_uuid字段，同时更新设备状态表已有设备对应的device_uuid字段值	*/
ALTER TABLE dmp_device_status ADD COLUMN `device_uuid` VARCHAR(50) NOT NULL COMMENT '设备uuid';
UPDATE dmp_device_status dds INNER JOIN dmp_device dde ON dds.product_code=dde.product_code AND dds.device_id=dde.device_id SET dds.device_uuid = dde.device_uuid;
/*------end 2025年2月24号 詹叶俊 设备状态表添加device_uuid字段，同时更新设备状态表已有设备对应的device_uuid字段值	*/

/*------begin 2025年3月10号 付宇川 OA新增发布申请表、流程表新增 form_id 字段、审批表新增 node_id 字段 */
CREATE TABLE `oa_fbd_document` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '发布申请表主键',
  `form_id` int(11) NOT NULL COMMENT '表单定义表主键',
  `doc_no` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '单据编号',
  `proposer` bigint(20) NOT NULL COMMENT '申请人id',
  `application_name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '申请名称',
  `doc_status` int(1) NOT NULL DEFAULT '0' COMMENT '单据状态 (0:未提交,1:审批中,2:审批通过,3:审批不通过)',
  `publish_time` datetime NOT NULL COMMENT '申请发布时间',
  `publish_project` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '发布项目名称',
  `project_type` int(1) NOT NULL COMMENT '项目类型(1:前端,2:后端)',
  `online_function` varchar(1000) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '上线功能',
  `preparation` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '上线前准备',
  `annex` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '附件',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT ' ' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT ' ' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门id',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `idx_doc_no` (`doc_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='OA_发布申请表';

ALTER TABLE `oa_flow` ADD COLUMN `form_id` INT(11) NOT NULL COMMENT '表单定义表主键id';

ALTER TABLE `oa_approval` ADD COLUMN `node_id` INT(11) NOT NULL COMMENT '节点id';
/*------end 2025年3月10号 付宇川 OA新增发布申请表、流程表新增 form_id 字段、审批表新增 node_id 字段 */

/*------begin 2025年3月13号 詹叶俊 设备类型表新增命令字段，在门禁设备信息表中新增密码和工作状态两个字段	*/
ALTER TABLE `dmp_device_type` ADD COLUMN `command_field` TEXT COMMENT '命令字段';
ALTER TABLE `eg_device` ADD COLUMN `password` VARCHAR(10) NULL COMMENT '密码';
ALTER TABLE `eg_device` ADD COLUMN `work_status` INT(2) NULL COMMENT '工作状态;1：办公，2：出差，3：会客，4：空闲';
/*------end 2025年3月13号 詹叶俊 设备类型表新增命令字段，在门禁设备信息表中新增密码和工作状态两个字段	*/

/*------begin 2025年3月19号 赵金雨 AI新增会话ID记录表、智能助手会话表; 附件管理新增文件管理表、文件编号每月递增值表 */
CREATE TABLE `ai_questions`
(
    `id`         bigint(20) NOT NULL AUTO_INCREMENT,
    `model`      varchar(255) DEFAULT NULL COMMENT '模型名称',
    `session_id` varchar(255) DEFAULT NULL COMMENT '会话ID',
    `user_id`    bigint(20) NOT NULL COMMENT '用户ID',
    `user_name`  varchar(255) NOT NULL COMMENT '用户名称',
    `question`   text         NOT NULL COMMENT '提问内容',
    `answer`     text         NOT NULL COMMENT '回复内容',
    `ask_time`   datetime     NOT NULL COMMENT '提问时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=133 DEFAULT CHARSET=utf8mb4 COMMENT='智能助手会话表';

CREATE TABLE `ai_sessions`
(
    `id`         bigint(20) NOT NULL AUTO_INCREMENT,
    `session_id` varchar(255) DEFAULT NULL COMMENT '会话ID',
    `user_id`    bigint(20) NOT NULL COMMENT '用户ID',
    `user_name`  varchar(255) NOT NULL COMMENT '用户名称',
    `question`   text         NOT NULL COMMENT '提问内容',
    `ask_time`   datetime     NOT NULL COMMENT '提问时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=120 DEFAULT CHARSET=utf8mb4 COMMENT='会话ID记录表';

CREATE TABLE `file_upload`
(
    `id`          int(11) NOT NULL AUTO_INCREMENT COMMENT '文件id',
    `files_name`  varchar(255)       DEFAULT NULL COMMENT '文件真实名称',
    `name`        varchar(255)       DEFAULT NULL COMMENT '文件新命名',
    `path`        varchar(255)       DEFAULT NULL COMMENT '真实存储路径',
    `type`        varchar(255)       DEFAULT NULL COMMENT '文件类型',
    `size` double(32,2) DEFAULT NULL COMMENT '文件大小（KB）',
    `url`         varchar(255)       DEFAULT NULL COMMENT '下载链接',
    `enable`      tinyint(4) DEFAULT '1' COMMENT '链接是否可用（1：是 0：否）',
    `is_delete`   tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否删除（1：是 0：否）',
    `create_by`   varchar(255)       DEFAULT NULL COMMENT '创建者',
    `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_by`   varchar(255)       DEFAULT NULL COMMENT '更新者',
    `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE,
    KEY           `name` (`files_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='文件管理表';
/*------end 2025年3月19号 赵金雨 AI新增会话ID记录表、智能助手会话表; 附件管理新增文件管理表*/

/*------begin 2025年3月14号 付宇川 通知公告表删除字段：remark；新增字段：file_url、author、dept_id */
ALTER TABLE `sys_notice` DROP COLUMN `remark`;
ALTER TABLE `sys_notice` ADD COLUMN `file_url` varchar(800) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '附件';
ALTER TABLE `sys_notice` ADD COLUMN `author` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '作者';
ALTER TABLE `sys_notice` ADD COLUMN `dept_id` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '通知接收部门id（多个，号隔开）';
/*------end 2025年3月14号 付宇川 通知公告表删除字段：remark；新增字段：file_url、author、dept_id */

/*------begin 2025年3月20号 赵金雨 新增字段：deleted */
ALTER TABLE `ai_sessions` ADD COLUMN `deleted` tinyint(1) DEFAULT '0' COMMENT '(0未删除，1已删除)';
ALTER TABLE `ai_questions` ADD COLUMN `deleted` tinyint(1) DEFAULT '0' COMMENT '(0未删除，1已删除)';
/*------end 2025年3月20号 赵金雨 新增字段：deleted */

/*------begin 2025年4月10号 赵金雨 File新增在线升级; 新增服务更新记录表 */
CREATE TABLE `file_update_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `file_name` varchar(255) NOT NULL COMMENT '文件名称',
  `version` varchar(20) DEFAULT 'v1.0.0' COMMENT '服务版本号',
  `file_status` int(1) DEFAULT '0' COMMENT '运行状态（0：未知，1：运行中，2：已停止）',
  `file_md5` varchar(255) DEFAULT NULL COMMENT '文件的MD5值',
  `remote_md5` varchar(255) DEFAULT NULL COMMENT '远程服务器文件MD5 值',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `update_status` int(1) DEFAULT NULL COMMENT '更新状态（0无需更新，1待更新）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COMMENT='服务更新记录表';
/*------end 2025年4月10号 赵金雨 File新增在线升级; 新增服务更新记录表 */

/*------begin 2025年4月16号 赵金雨 附件管理表新增字段: create_id、update_id、referer_path*/
ALTER TABLE `file_upload` ADD COLUMN `create_id` BIGINT(20) NULL COMMENT '创建者ID',
ALTER TABLE `file_upload` ADD COLUMN `update_id` BIGINT(20) NULL COMMENT '更新者ID';
ALTER TABLE `file_upload` ADD COLUMN `referer_path` VARCHAR(255) NULL COMMENT '引用路径';
/*------end 2025年4月16号 赵金雨 附件管理表新增字段: create_id、update_id、referer_path*/

/*------begin 2025年5月6号 韩正义 应用信息表新增字段: order_num*/
ALTER TABLE `sys_platform` ADD COLUMN `order_num` INT(4) DEFAULT '0'  COMMENT '显示顺序',
/*------end 2025年5月6号 韩正义 应用信息表新增字段: order_num*/

/*------begin 2025年4月18号 詹叶俊 插入在设备状态表中没有记录的设备状态信息 */
INSERT INTO `dmp_device_status` (`device_id`,`product_id`,`device_status`,`last_offline_time`,`product_code`,`device_uuid`) SELECT device_id,product_id,2,SYSDATE(),product_code,device_uuid FROM dmp_device WHERE device_uuid NOT IN (SELECT DISTINCT device_uuid FROM dmp_device_status);
/*------end 2025年4月18号 詹叶俊 插入在设备状态表中没有记录的设备状态信息 */

/*------begin 2025年5月26号 詹叶俊 帮助中心_栏目管理菜单Id字段改为非必填 */
ALTER TABLE `hce_category` MODIFY `menu_id` INT(20) NULL COMMENT '菜单ID';
/*------end 2025年5月26号 詹叶俊 帮助中心_栏目管理菜单Id字段改为非必填 */

/*------begin 2025年5月30号 詹叶俊 设备信息表新增设备所属类型和所属网关两个字段，以及产品属性表中新增属性字典字段 */
ALTER TABLE `dmp_device` ADD COLUMN `category_type` INT(1) DEFAULT '1' COMMENT '设备所属类型（1、普通设备  2、网关设备  3、网关子设备）';
ALTER TABLE `dmp_device` ADD COLUMN `gateway_uuid` VARCHAR(50) DEFAULT NULL COMMENT '所属网关';

ALTER TABLE `dmp_product_attribute` ADD COLUMN `attribute_dict` VARCHAR(300) DEFAULT NULL COMMENT '属性字典';
/*------end 2025年5月30号 詹叶俊 设备信息表新增设备所属类型和所属网关两个字段，以及产品属性表中新增属性字典字段 */
